{
  pkgs,
  ...
}:
{
  services.espanso = {
    enable = true;
    package = pkgs.espanso;
    matches = {
      base = {
        matches = [
          {
            trigger = ":up";
            replace = "↑";
          }
          {
            trigger = ":down";
            replace = "↓";
          }
          {
            trigger = ":left";
            replace = "←";
          }
          {
            trigger = ":right";
            replace = "→";
          }
          {
            trigger = ":neg";
            replace = "¬";
          }
          {
            trigger = ":conj";
            replace = "∧";
          }
          {
            trigger = ":disj";
            replace = "∨";
          }
          {
            trigger = ":imp";
            replace = "→";
          }
          {
            trigger = ":bicon";
            replace = "↔";
          }
          {
            trigger = ":forall";
            replace = "∀";
          }
          {
            trigger = ":exist";
            replace = "∃";
          }
          {
            trigger = ":therefore";
            replace = "∴";
          }
          {
            trigger = ":delta";
            replace = "Δ";
          }
          {
            trigger = ":em";
            replace = "—";
          }
          {
            trigger = ":glp";
            replace = "GLP-1RA";
          }
          {
            trigger = ":degree";
            replace = "°";
          }
          {
            trigger = ":ss1";
            replace = "¹";
          }
          {
            trigger = ":ss2";
            replace = "²";
          }
          {
            trigger = ":ss3";
            replace = "³";
          }
          {
            trigger = ":ss4";
            replace = "⁴";
          }
          {
            trigger = ":ss5";
            replace = "⁵";
          }
          {
            trigger = ":ss6";
            replace = "⁶";
          }
          {
            trigger = ":ss7";
            replace = "⁷";
          }
          {
            trigger = ":ss8";
            replace = "⁸";
          }
          {
            trigger = ":ss9";
            replace = "⁹";
          }
          {
            trigger = ":ss0";
            replace = "⁰";
          }
        ];
      };
      global_vars = {
        global_vars = [
          {
            name = "currentdate";
            type = "date";
            params = {
              format = "%d/%m/%Y";
            };
          }
          {
            name = "currenttime";
            type = "date";
            params = {
              format = "%R";
            };
          }
        ];
      };
    };
  };
}
